Remove product coupon
Use this method to remove discount coupons applied to products added to cart.
Request parameters
Parameter
Type / Description
sessionID
Required (string)
Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.
coupon
Required (string)
The coupon/voucher code for a promotion impacting a product added to cart.
Request sample
<?php
require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner
require('PATH_TO_addProduct'); // addProduct example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/08Place_an_order/00Add_product_to_cart
require('PATH_TO_setCoupon'); // setCoupon example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/08Place_an_order/06Add_product_coupon
$couponCode = 'COUPON_CODE_TO_REMOVE';
try {
$DeletedCoupon = $client->deleteCoupon ($sessionID, $couponCode);
} catch (SoapFault $e) {
echo "Promotion: " . $e->getMessage();
exit;
}
var_dump ("Promotion ", $DeletedCoupon);Response parameters
Parameter
Type / Description
result
Boolean
True or false.
Errors
Error
Description
EMPTY_CART
The shopping cart is empty
INVALID_COUPON_CODE
The coupon code is empty
INVALID_COUPON
The coupon code is not applied to cart
Last updated
Was this helpful?